using System.ComponentModel.DataAnnotations;

namespace BlazorApp.Components.Pages.ValidationPage;

public class LoginModel
{
    [Required(ErrorMessage = "ID는 필수 입력사항입니다.")]
    public string Id {get; set;}
    
    [Required(ErrorMessage = "비밀번호는 필수 입력사항입니다.")]
    public string Pw {get; set;}
    
    [Required(ErrorMessage = "이메일 설정은 필수 입력사항입니다.")]
    [EmailAddress(ErrorMessage = "이메일 설정이 올바르지 않습니다.")]
    public string Email {get; set;}
    
}